Cancel Schedule
curl --request DELETE \
--url https://api.sandbox.wepayout.com.br/v2/automatic-pix/schedules/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v2/automatic-pix/schedules/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v2/automatic-pix/schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"merchant_id": 1,
"authorization": {
"id": 1,
"name": "Authorization Name"
},
"amount": 100.00,
"due_date": "2023-01-01",
"settlement_date": null,
"status": {
"id": 2,
"name": "CANCELED"
},
"history": [
{
"id": 1,
"schedule_id": 1,
"status_id": 1,
"status_name": "PENDING",
"created_at": "2023-01-01T00:00:00Z"
},
{
"id": 2,
"schedule_id": 1,
"status_id": 2,
"status_name": "CANCELED",
"created_at": "2023-01-02T00:00:00Z"
}
],
"tx_id": null,
"attempts": [],
"created_at": "2023-01-01T00:00:00Z",
"buyer": {
"id": 1,
"name": "Buyer Name",
"document": "12345678900"
}
}
Schedules
Cancel Schedule
Cancel a schedule
DELETE
/
v2
/
automatic-pix
/
schedules
/
{id}
Cancel Schedule
Path Parameters
integer
required
The ID of the schedule to cancel.
Response
integer
Schedule ID
integer
Merchant ID
number
Amount
string
Due Date
string or null
Settlement Date
array or null
string or null
Transaction ID
string
Creation Date
{
"id": 1,
"merchant_id": 1,
"authorization": {
"id": 1,
"name": "Authorization Name"
},
"amount": 100.00,
"due_date": "2023-01-01",
"settlement_date": null,
"status": {
"id": 2,
"name": "CANCELED"
},
"history": [
{
"id": 1,
"schedule_id": 1,
"status_id": 1,
"status_name": "PENDING",
"created_at": "2023-01-01T00:00:00Z"
},
{
"id": 2,
"schedule_id": 1,
"status_id": 2,
"status_name": "CANCELED",
"created_at": "2023-01-02T00:00:00Z"
}
],
"tx_id": null,
"attempts": [],
"created_at": "2023-01-01T00:00:00Z",
"buyer": {
"id": 1,
"name": "Buyer Name",
"document": "12345678900"
}
}
Was this page helpful?
⌘I

